Loading...
Searching...
No Matches
coap_debug_internal.h File Reference

CoAP Logging support internal information. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

int | coap_debug_send_packet (void)
| Check to see whether a packet should be sent or not.
void | coap_debug_reset (void)
| Reset all the defined logging parameters.

## Detailed Description

CoAP Logging support internal information.

Definition in file coap_debug_internal.h.

## Function Documentation

## coap_debug_reset()

void coap_debug_reset | ( | void |  | ) |

Reset all the defined logging parameters.

Internal function

Definition at line 1386 of file coap_debug.c.

Here is the caller graph for this function:

## coap_debug_send_packet()

int coap_debug_send_packet | ( | void |  | ) |

Check to see whether a packet should be sent or not.

Internal function

Returns
  `1` if packet is to be sent, `0` if packet is to be dropped.

Definition at line 1362 of file coap_debug.c.

Here is the call graph for this function:
Here is the caller graph for this function: